package org.jeecg.modules.subwayNetwork.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "地铁站VO")
public class TrainStationVO {

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;

    @ApiModelProperty(value = "轻轨线路ID")
    private String lightRailId;

    @ApiModelProperty(value = "车站名")
    private String stationName;

    @ApiModelProperty(value = "车站编码")
    private String stationCode;

    @ApiModelProperty(value = "线别")
    private String lineAlias;

    @ApiModelProperty(value = "起始里程前缀")
    private String startingMileagePrefix;

    @ApiModelProperty(value = "起始里程")
    private BigDecimal startingMileage;

    @ApiModelProperty(value = "中心里程前缀")
    private String centerMileagePrefix;

    @ApiModelProperty(value = "中心里程")
    private BigDecimal centerMileage;

    @ApiModelProperty(value = "结束里程前缀")
    private String endMileagePrefix;

    @ApiModelProperty(value = "结束里程")
    private BigDecimal endMileage;
}
